/* $Id: aspectframe.gen_h,v 1.33 2000/02/13 02:22:09 kenelson Exp $ */

/* aspectframe.h
 *
 * Copyright (C) 1998-1999 The Gtk-- Development Team
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <gtk--/frame.h>
#include <gtk/gtkaspectframe.h>

namespace Gtk {
class AspectFrame : public Frame {


public:
  typedef AspectFrame          CppObjectType;
  typedef GtkAspectFrame            BaseObjectType;

public:
  //: Returns the underlaying gtk+ object.
  GtkAspectFrame* gtkobj();
  const GtkAspectFrame* gtkobj() const;

  //: Returns true if object is this type.
  static bool isA(Gtk::Object *object);

  virtual ~AspectFrame();

private:

  void construct(const char *label,
                  gfloat xalign,
                  gfloat yalign,
                  gfloat ratio,
                  bool obey_child);
public:
  // Construct with title
  AspectFrame(const string &label,
		  gfloat xalign,
		  gfloat yalign,
		  gfloat ratio=1.0,
		  bool obey_child=false);

  // Construct without title
  AspectFrame(gfloat xalign,
		  gfloat yalign,
		  gfloat ratio=1.0,
		  bool obey_child=false);

  void set(gfloat xalign,gfloat yalign,gfloat ratio,gint obey_child);




protected:
  // impl functions

};


//+ PROPERTIES(Gtk_AspectFrame)
//. name: xalign
//. type: gfloat
//. get:
//. set:
//. desc:

//. name: yalign
//. type: gfloat
//. get:
//. set:
//. desc:

//. name: ratio
//. type: gfloat
//. get:
//. set:
//. desc:

//. name: obey_child
//. type: gint
//. get:
//. set:
//. desc:

//. name: center_allocation
//. type: GtkAllocation
//. get:
//. set:
//. desc:

}
