/* $Id: checkmenuitem.gen_h,v 1.50 2000/02/13 02:22:09 kenelson Exp $ */

/* checkmenuitem.h
 *
 * Copyright (C) 1998-1999 The Gtk-- Development Team
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <gtk--/menuitem.h>
#include <gtk/gtkcheckmenuitem.h>


namespace Gtk {
class CheckMenuItem : public MenuItem {


public:
  typedef CheckMenuItem          CppObjectType;
  typedef GtkCheckMenuItem            BaseObjectType;

public:
  //: Returns the underlaying gtk+ object.
  GtkCheckMenuItem* gtkobj();
  const GtkCheckMenuItem* gtkobj() const;

  //: Returns true if object is this type.
  static bool isA(Gtk::Object *object);

  virtual ~CheckMenuItem();

private:

public:

  CheckMenuItem();



  explicit CheckMenuItem(const string &label,gfloat x=0.0,gfloat y=0.5);

  guint get_active() const;


  void set_active(bool state=true);

  bool is_active()          const { return gtkobj()->active; }
  bool always_show_toggle() const { return gtkobj()->always_show_toggle; }


  void set_show_toggle(bool always);

  //- Triggered when the item changes state
  //- (Note : changing the item's state with {set_active()}
  //- will also trigger this signal).




    emitable signal void toggled();

  //- Triggered when the item is redrawn (e.g.after being toggled)
  //- Overload this signal if you want to implement your own check item
  //- look. Otherwise, you most likely don't care about it.
  //- The GdkRectangle specifies the area of the widget which will get
  //- redrawn.





protected:
  // impl functions
    virtual void toggled_impl();
    virtual void draw_indicator_impl(GdkRectangle* p0);

};


//+ PROPERTIES(Gtk_CheckMenuItem)
//. name: active
//. type: bool
//. get: none
//. set: {set_active()}
//. desc: Whether the item is checked or not

//. name: always_show_toggle
//. type: bool
//. get: none
//. set: {set_show_toggle()}
//. desc: Whether the toggle indicator is always drawn or only when the
//. item is highlighted

}
