/* $Id: colorselection.gen_h,v 1.43 2000/02/13 02:22:09 kenelson Exp $ */

/* colorselection.h
 *
 * Copyright (C) 1998-1999 The Gtk-- Development Team
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <gtk--/box.h>
#include <gtk--/window.h>
#include <gtk--/button.h>
#include <gtk/gtkcolorsel.h>


namespace Gtk {
class ColorSelection : public VBox {


public:
  typedef ColorSelection          CppObjectType;
  typedef GtkColorSelection            BaseObjectType;

public:
  //: Returns the underlaying gtk+ object.
  GtkColorSelection* gtkobj();
  const GtkColorSelection* gtkobj() const;

  //: Returns true if object is this type.
  static bool isA(Gtk::Object *object);

  virtual ~ColorSelection();

private:

public:

  ColorSelection();




  void set_update_policy(GtkUpdateType policy);


  void set_opacity(gint use_opacity);

  // NOTE: mail gtk+ that second argument should be const.

  void set_color(const gdouble* color);


  void get_color(gdouble* color) const;

    signal void color_changed();

protected:
  // impl functions
    virtual void color_changed_impl();

};

class ColorSelectionDialog : public Window {


public:
  typedef ColorSelectionDialog          CppObjectType;
  typedef GtkColorSelectionDialog            BaseObjectType;

public:
  //: Returns the underlaying gtk+ object.
  GtkColorSelectionDialog* gtkobj();
  const GtkColorSelectionDialog* gtkobj() const;

  //: Returns true if object is this type.
  static bool isA(Gtk::Object *object);

  virtual ~ColorSelectionDialog();

private:

public:

  ColorSelectionDialog(const nstring &title);



  Gtk::ColorSelection* get_colorsel() const;


  Gtk::VBox* get_vbox() const;


  Gtk::Button* get_ok_button() const;


  Gtk::Button* get_reset_button() const;


  Gtk::Button* get_cancel_button() const;


  Gtk::Button* get_help_button() const;

protected:
  // impl functions

};


}
