/* $Id: fileselection.gen_h,v 1.44 2000/02/13 02:22:09 kenelson Exp $ */


/* fileselection.h
 *
 * Copyright (C) 1998-1999 The Gtk-- Development Team
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <gtk--/window.h>
#include <gtk--/entry.h>
#include <gtk--/label.h>
#include <gtk--/box.h>
#include <gtk--/button.h>
#include <gtk/gtkfilesel.h>

namespace Gtk {
class FileSelection : public Window {


public:
  typedef FileSelection          CppObjectType;
  typedef GtkFileSelection            BaseObjectType;

public:
  //: Returns the underlaying gtk+ object.
  GtkFileSelection* gtkobj();
  const GtkFileSelection* gtkobj() const;

  //: Returns true if object is this type.
  static bool isA(Gtk::Object *object);

  virtual ~FileSelection();

private:

public:

  explicit FileSelection(const nstring &title=0);





  void set_filename(const string& filename);



  void hide_fileop_buttons();



  void complete(const string& pattern);



  string get_filename() const;



  void show_fileop_buttons();


  //: Accessors
  Gtk::HBox* get_action_area() const;


  Gtk::Entry* get_selection_entry() const;


  Gtk::Label* get_selection_text() const;


  Gtk::Button* get_ok_button() const;


  Gtk::Button* get_cancel_button() const;

protected:
  // impl functions

};


}
