/* $Id: menubar.gen_h,v 1.35 2000/02/13 02:22:09 kenelson Exp $ */


/* menubar.h
 *
 * Copyright (C) 1998-1999 The Gtk-- Development Team
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <gtk--/menushell.h>
#include <gtk--/menuitem.h>
#include <gtk/gtkmenubar.h>


namespace Gtk {
class MenuBar : public MenuShell {


public:
  typedef MenuBar          CppObjectType;
  typedef GtkMenuBar            BaseObjectType;

public:
  //: Returns the underlaying gtk+ object.
  GtkMenuBar* gtkobj();
  const GtkMenuBar* gtkobj() const;

  //: Returns true if object is this type.
  static bool isA(Gtk::Object *object);

  virtual ~MenuBar();

private:

public:

  MenuBar();




/*  append, prepend and insert are defined in menushell */

  void set_shadow_type(GtkShadowType type);

  GtkShadowType get_shadow_type() const { return gtkobj()->shadow_type; }




protected:
  // impl functions

};


//+ PROPERTIES(Gtk_Menubar)
//. name: shadow_type
//. type: GtkShadowType
//. get: none
//. set: {set_shadow_type()}
//. desc: Can be set to {\enum GTK_SHADOW_NONE,
//.  GTK_SHADOW_IN,
//.  GTK_SHADOW_OUT,
//.  GTK_SHADOW_ETCHED_IN,
//.  GTK_SHADOW_ETCHED_OUT }

}
