/* $Id: progress.gen_h,v 1.36 2000/02/13 02:22:09 kenelson Exp $ */

/* progress.h
 *
 * Copyright (C) 1998-1999 The Gtk-- Development Team
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <gtk--/widget.h>
#include <gtk/gtkprogress.h>

// m4 sucks up a name we want.



namespace Gtk {
class Adjustment;

//: Abstract Progress Indicator
class Progress : public Widget {



public:
  typedef Progress          CppObjectType;
  typedef GtkProgress            BaseObjectType;

public:
  //: Returns the underlaying gtk+ object.
  GtkProgress* gtkobj();
  const GtkProgress* gtkobj() const;

  //: Returns true if object is this type.
  static bool isA(Gtk::Object *object);

  virtual ~Progress();

private:

public:

  // Gtk_Progress(); No such constructor. It's a kind of handle class




  void set_show_text(bool show_text);


  void set_text_alignment(gfloat x_align,gfloat y_align);

  void set_format_string(const string& format); // Use WRAP_METHOD
 // when gtk_progress_set_format_string is fixed to take a const char*

  Gtk::Adjustment* get_adjustment() const;


  void set_adjustment(Gtk::Adjustment& adjustment);



  void set_adjustment(Gtk::Adjustment* adjustment=0);


  void configure(gfloat value,gfloat min,gfloat max);


  void set_percentage(gfloat percentage);


  void set_value(gfloat value);


  gfloat get_value() const;


  void set_activity_mode(bool activity_mode);


  string get_current_text() const;


  string get_text_from_value(gfloat value) const;


  gfloat get_current_percentage() const;


  gfloat get_percentage_from_value(gfloat value) const;

    signal void paint();

    signal void update();

    signal void act_mode_enter();

protected:
  // impl functions
    virtual void paint_impl();
    virtual void update_impl();
    virtual void act_mode_enter_impl();

};


//+ PROPERTIES(Gtk_Progress)
//. name: adjustment
//. type: GtkAdjustment*
//. get:
//. set:
//. desc:

//. name: offscreen_pixmap
//. type: GdkPixmap*
//. get:
//. set:
//. desc:

//. name: format
//. type: string
//. get:
//. set:
//. desc:

//. name: x_align
//. type: gfloat
//. get:
//. set:
//. desc:

//. name: y_align
//. type: gfloat
//. get:
//. set:
//. desc:

//. name: show_text
//. type: guint:1
//. get:
//. set:
//. desc:

//. name: activity_mode
//. type: guint:1
//. get:
//. set:
//. desc:

}
