/* $Id: progressbar.gen_h,v 1.43 2000/02/13 02:22:09 kenelson Exp $ */

/* progressbar.h
 *
 * Copyright (C) 1998-1999 The Gtk-- Development Team
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <gtk--/progress.h>
#include <gtk/gtkprogressbar.h>


namespace Gtk {
class ProgressBar : public Progress
{


public:
  typedef ProgressBar          CppObjectType;
  typedef GtkProgressBar            BaseObjectType;

public:
  //: Returns the underlaying gtk+ object.
  GtkProgressBar* gtkobj();
  const GtkProgressBar* gtkobj() const;

  //: Returns true if object is this type.
  static bool isA(Gtk::Object *object);

  virtual ~ProgressBar();

private:

public:

  ProgressBar();
  explicit ProgressBar(Adjustment &adjustment);


  GtkProgressBarStyle get_bar_style() const;


  GtkProgressBarOrientation get_orientation() const;


  guint get_discrete_blocks() const;


  guint get_activity_step() const;


  guint get_activity_blocks() const;

  void set_bar_style(GtkProgressBarStyle style=GTK_PROGRESS_CONTINUOUS);


  void set_discrete_blocks(guint blocks=10);


  void set_activity_step(guint step=3);


  void set_activity_blocks(guint blocks=5);


  void set_orientation(GtkProgressBarOrientation orientation=GTK_PROGRESS_LEFT_TO_RIGHT);





protected:
  // impl functions

};


//+ PROPERTIES(Gtk_ProgressBar)
//. name: bar_style
//. type: GtkProgressBarStyle
//. get:
//. set:
//. desc:

//. name: orientation
//. type: GtkProgressBarOrientation
//. get:
//. set:
//. desc:

//. name: blocks
//. type: guint
//. get:
//. set:
//. desc:

//. name: in_block
//. type: gint
//. get:
//. set:
//. desc:

//. name: activity_pos
//. type: gint
//. get:
//. set:
//. desc:

//. name: activity_step
//. type: guint
//. get:
//. set:
//. desc:

//. name: activity_blocks
//. type: guint
//. get:
//. set:
//. desc:

//. name: activity_dir
//. type: guint:1
//. get:
//. set:
//. desc:

}
