/* $Id: scale.gen_h,v 1.45 2000/02/13 02:22:09 kenelson Exp $ */

/* scale.h
 *
 * Copyright (C) 1998-1999 The Gtk-- Development Team
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <gtk--/range.h>
#include <gtk/gtkscale.h>
#include <gtk/gtkhscale.h>
#include <gtk/gtkvscale.h>


namespace Gtk {
class Scale : public Range {


public:
  typedef Scale          CppObjectType;
  typedef GtkScale            BaseObjectType;

public:
  //: Returns the underlaying gtk+ object.
  GtkScale* gtkobj();
  const GtkScale* gtkobj() const;

  //: Returns true if object is this type.
  static bool isA(Gtk::Object *object);

  virtual ~Scale();

private:

public:




  gint get_digits () const;

  void set_digits(gint digits);


  void set_draw_value(gint draw_value);


  void set_value_pos(GtkPositionType pos);


  gint get_value_width() const;

    emitable signal void draw_value();

protected:
  Scale();



protected:
  // impl functions
    virtual void draw_value_impl();

};

class VScale : public Scale {


public:
  typedef VScale          CppObjectType;
  typedef GtkVScale            BaseObjectType;

public:
  //: Returns the underlaying gtk+ object.
  GtkVScale* gtkobj();
  const GtkVScale* gtkobj() const;

  //: Returns true if object is this type.
  static bool isA(Gtk::Object *object);

  virtual ~VScale();

private:

public:
  explicit VScale(Adjustment &adjustment);
  VScale();





protected:
  // impl functions

};

class HScale : public Scale {


public:
  typedef HScale          CppObjectType;
  typedef GtkHScale            BaseObjectType;

public:
  //: Returns the underlaying gtk+ object.
  GtkHScale* gtkobj();
  const GtkHScale* gtkobj() const;

  //: Returns true if object is this type.
  static bool isA(Gtk::Object *object);

  virtual ~HScale();

private:

public:
  explicit HScale(Adjustment &adjustment);
  HScale();





protected:
  // impl functions

};


//+ PROPERTIES(Gtk_Scale)
//. name: draw_value
//. type: guint:1
//. get:
//. set:
//. desc:

//. name: value_pos
//. type: guint:2
//. get:
//. set:
//. desc:

}
