/* $Id: scrollbar.gen_h,v 1.37 2000/02/13 02:22:09 kenelson Exp $ */

/* scrollbar.h
 *
 * Copyright (C) 1998-1999 The Gtk-- Development Team
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <gtk--/range.h>
#include <gtk/gtkscrollbar.h>
#include <gtk/gtkhscrollbar.h>
#include <gtk/gtkvscrollbar.h>


namespace Gtk {
class Scrollbar : public Range {


public:
  typedef Scrollbar          CppObjectType;
  typedef GtkScrollbar            BaseObjectType;

public:
  //: Returns the underlaying gtk+ object.
  GtkScrollbar* gtkobj();
  const GtkScrollbar* gtkobj() const;

  //: Returns true if object is this type.
  static bool isA(Gtk::Object *object);

  virtual ~Scrollbar();

private:

public:

protected:
  Scrollbar();




protected:
  // impl functions

};

class VScrollbar : public Scrollbar {


public:
  typedef VScrollbar          CppObjectType;
  typedef GtkVScrollbar            BaseObjectType;

public:
  //: Returns the underlaying gtk+ object.
  GtkVScrollbar* gtkobj();
  const GtkVScrollbar* gtkobj() const;

  //: Returns true if object is this type.
  static bool isA(Gtk::Object *object);

  virtual ~VScrollbar();

private:

public:
  explicit VScrollbar( Adjustment &gtkadjustment);
  VScrollbar();





protected:
  // impl functions

};

class HScrollbar : public Scrollbar {


public:
  typedef HScrollbar          CppObjectType;
  typedef GtkHScrollbar            BaseObjectType;

public:
  //: Returns the underlaying gtk+ object.
  GtkHScrollbar* gtkobj();
  const GtkHScrollbar* gtkobj() const;

  //: Returns true if object is this type.
  static bool isA(Gtk::Object *object);

  virtual ~HScrollbar();

private:

public:
  explicit HScrollbar( Adjustment &gtkadjustment);
  HScrollbar();





protected:
  // impl functions

};



}
